commit:     ed5dcf1191029ca36cafab46c0fd01021be34dac
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon May  1 10:39:18 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May  1 10:42:36 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed5dcf11

app-shells/fzf: add 0.40.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-shells/fzf/Manifest          |  2 ++
 app-shells/fzf/fzf-0.40.0.ebuild | 72 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/app-shells/fzf/Manifest b/app-shells/fzf/Manifest
index 073bec76d548..7b7937b4c437 100644
--- a/app-shells/fzf/Manifest
+++ b/app-shells/fzf/Manifest
@@ -6,3 +6,5 @@ DIST fzf-0.38.0-deps.tar.xz 16806808 BLAKE2B 
f121b3000bc5a0d72ee5cb66f59f4f44c41
 DIST fzf-0.38.0.tar.gz 232613 BLAKE2B 
fa05732fadfa47646d67aaf7bca94d143c5cb9267520e83a2278aac88c32624cb2dc87d198e1e83348fc3bb1339d38cb1b59e0fa251aa97c5f32daf9c0f71603
 SHA512 
a9a89f8e228b52fc20b21624c9024c932dee2a786a711788b1ea8b0c2829099be0b74e6a5e2676ec23288a846af9feda683ac4644409848fb362e4ff9278f5fc
 DIST fzf-0.39.0-deps.tar.xz 16890324 BLAKE2B 
ddf650dabbefcad339b677ae9196714c81533a338ffe35240acd44db1afdc83d2912fec339ccc90276795b2a7047ec569404483308a9f1ac8050debac3e4e49b
 SHA512 
1944a5088f448d6d69ff567bc77f5a15af1a7df51aae97c4fa53145734c9bfe5ed6c04bf34d6233488247f0e32674a17d8caa7753b04ddb5d77274df6e738609
 DIST fzf-0.39.0.tar.gz 235093 BLAKE2B 
4db2877a6c7cc5418b643b572d17350f16794d6e417dd90da5684676ce04a341ce3a7fd3f2e7f6c5d740c9dabfc9c3faca2da2c5b9030e69403d847399f9db1b
 SHA512 
0e8ccb460aeed5b5ccb04bba663b28565666c50a7c974fd0818ab6d6e4a7cd7958f285a47023f632a22417eee2130a670076180590c81f87d67081f39d566e5d
+DIST fzf-0.40.0-deps.tar.xz 16914048 BLAKE2B 
c095faee297e2226d595f961bd1362c41e1b516eae225df4a25c28e9d0f4a4d65bbcb38db77d19d806cd3944dbbe42385566c3f7d59486fb3bafc3e0f2565073
 SHA512 
87b4ffa2f87c9d35cde56d6217beceadce94d72d7d8e5cf5a94c0873486ff954ea2e2d70e376a873d7f500af0e154b5e05af1ce745823ce96bd563697fd4ee01
+DIST fzf-0.40.0.tar.gz 236930 BLAKE2B 
bbdf8d62c5b9f2e1a85c54e55e42d7a93366ff7f25104d1eb3b28dc49933c10bbe9a8bda68a80597f2734ed6888da744000db5b359a9523b40007f04ede06252
 SHA512 
03a9aae215b06cd2d0c318e7fb13c6e39012091e9773f00cba702323c5fe3b2b0161f48fe552188689be307e2d308c47afed53e1046a7a767bcd49c98c1dbf60

diff --git a/app-shells/fzf/fzf-0.40.0.ebuild b/app-shells/fzf/fzf-0.40.0.ebuild
new file mode 100644
index 000000000000..dd5bdcb470a2
--- /dev/null
+++ b/app-shells/fzf/fzf-0.40.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 go-module
+
+DESCRIPTION="General-purpose command-line fuzzy finder, written in Golang"
+HOMEPAGE="https://github.com/junegunn/fzf";
+
+# For fancy versioning only. Bump on the next release!
+# MY_GIT_REV is the first 7 characters of release commit, we truncate it
+# after to make it easier to copy/paste.
+MY_GIT_REV=fb76893e18fd567ac45a516f708832ae0f2ad37c
+MY_GIT_REV=${MY_GIT_REV:0:7}
+
+SRC_URI="https://github.com/junegunn/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" 
https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz";
+
+LICENSE="MIT BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+
+src_prepare() {
+       default
+       sed -i 's/-s -w //' Makefile || die # bug #795225
+}
+
+src_compile() {
+       emake PREFIX="${EPREFIX}"/usr VERSION=${PV} REVISION=${MY_GIT_REV} 
bin/${PN}
+}
+
+src_install() {
+       dobin bin/${PN}
+       doman man/man1/${PN}.1
+
+       dobin bin/${PN}-tmux
+       doman man/man1/${PN}-tmux.1
+
+       insinto /usr/share/vim/vimfiles/plugin
+       doins plugin/${PN}.vim
+
+       insinto /usr/share/nvim/runtime/plugin
+       doins plugin/${PN}.vim
+
+       newbashcomp shell/completion.bash ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       newins shell/completion.zsh _${PN}
+
+       insinto /usr/share/fzf
+       doins shell/key-bindings.bash
+       doins shell/key-bindings.fish
+       doins shell/key-bindings.zsh
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               elog "To add fzf support to your shell, make sure to use the 
right file"
+               elog "from ${EROOT}/usr/share/fzf."
+               elog
+               elog "For bash, add the following line to ~/.bashrc:"
+               elog
+               elog "  # source 
${EROOT}/usr/share/bash-completion/completions/fzf"
+               elog "  # source ${EROOT}/usr/share/fzf/key-bindings.bash"
+               elog
+               elog "Plugins for Vim and Neovim are installed to respective 
directories"
+               elog "and will work out of the box."
+               elog
+               elog "For fzf support in tmux see fzf-tmux(1)."
+       fi
+}

Reply via email to